import * as React from 'react';
import { useState } from 'react';

import Box from '@mui/material/Box';
import TextField from '@mui/material/TextField';
import Stack from '@mui/material/Stack';
import Button from '@mui/material/Button';
import Container from '@mui/material/Container';
import SendRoundedIcon from '@mui/icons-material/SendRounded';

import { MyDropzone, Basic, StyledDropzone } from './dropzone';

export const CreatePost = () => {

    const [titleValue, setTitleValue] = useState('')
    const [textValue, setTextValue] = useState('')


    return (
        <Container maxWidth="80%">
            <Container>
                <StyledDropzone />
            </Container>

            <Box
                component="form"
                sx={{
                    '& > :not(style)': { m: 1, width: '100%', marginBottom: '20px' },
                }}
            >
                <TextField
                    id="title"
                    label="Название поста"
                    variant="standard"
                    onChange={e => setTitleValue(e.target.value)}
                />
            </Box>

            <Box
                component="form"
                sx={{
                    '& .MuiTextField-root': { m: 1, width: '100%', marginBottom: '20px' },
                }}
            >
                <TextField
                    id="text"
                    label="Описание поста"
                    multiline
                    rows={2}
                    variant="standard"
                    onChange={e => setTextValue(e.target.value)}
                />
            </Box>

            {/* <Container>
                {/* <MyDropzone /> */}
            {/* <Basic />
            тут загрузка файла
        </Container> * /} */}

            < Stack spacing={2} direction="row" >
                <Button variant="outlined" startIcon={<SendRoundedIcon style={{ transform: 'translate(3px, -4px) rotate(-30deg)' }} />} onClick={e => { console.log('click') }}>
                    Опубликовать пост
                </Button>
            </Stack >
        </Container >


    )


}





// const formData = new FormData()
// formData.append('photo', getPhoto.files[0])  // аналог одного поля input; 'photo' - это имя поля формы, с которой отправляем файлыж photo.files[0] - это массив, в котором находятся все файлы, которые мы хотим залить на сервак. в реакте это компонент Dropzone

// fetch('/upload', {
//     method: 'POST',
//     headers: {
//         Authorization: 'Bearer ' + localStorage.authToken
//     },
//     body: formData
// }).then(res => res.json()).then(res2 => console.log(res2))


// создается форма formData, в которой один инпут, в который мы запихиваем один файл и через фетч идет заливка этого файла